# MPI_Type_get_envelope

get type envelope

## Synopsis

    int MPI_Type_get_envelope(MPI_Datatype datatype,
                              int *num_integers, int *num_addresses, int *num_datatypes, int *combiner)

## Input Parameters

datatype
  datatype to access (handle)

## Output Parameters

num_integers
  number of input integers used in the call constructing combiner (non-negative integer)
num_addresses
  number of input addresses used in the call constructing combiner (non-negative integer)
num_datatypes
  number of input datatypes used in the call constructing combiner (non-negative integer)
combiner
  combiner (state)

## Notes

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.